Part Point/it: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
(5 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{UnfinishedDocu{{#translation:}}}}
{{Docnav
|[[Part_Ellipse|Ellipse]]
|[[Part_Line|Line]]
|[[Part_Workbench|Part]]
|IconL=Part_Ellipse.svg
|IconR=Part_Line.svg
|IconC=Workbench_Part.svg
}}

<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/it|Name=Part_Point|Name/it=Punto|MenuLocation=Parte → [[Part_CreatePrimitives/it|Crea primitive]] → Punto|Workbenches=[[Part Module/it|Parte]]|SeeAlso=[[Part CreatePrimitives/it|Crea primitive]]}}
{{GuiCommand/it|Name=Part_Point|Name/it=Punto|MenuLocation=Parte → [[Part_CreatePrimitives/it|Crea primitive]] → Punto|Workbenches=[[Part_Workbench/it|Parte]]|SeeAlso=[[Part CreatePrimitives/it|Crea primitive]]}}
</div>
</div>


== Description ==

<div class="mw-translate-fuzzy">
== Descrizione ==
== Descrizione ==
Una primitiva geometrica Punto (vertice).
Una primitiva geometrica Punto (vertice).
</div>


==Utilizzo==
==Utilizzo==


See [[Part_Primitives#Usage|Part Primitives]].
<div class="mw-translate-fuzzy">
# Attivare l'ambiente [[Image:Workbench_Part.svg|24px]] [[Part Workbench/it|Parte]]
# Aprire il dialogo Crea primitive in uno di questi modi:
#* Cliccare sull'icona [[Image:Part_CreatePrimitives.svg|24px]] [[Part_CreatePrimitives/it|Crea primitive]] nella barra degli strumenti di Parte
#* Usare il menu {{MenuCommand|Parte → [[Part_CreatePrimitives/it|Crea primitive]] → Punto}}
</div>


== Properties ==
===Primitive geometriche===
{|
| [[File:PartVertexPrimitivesOptions_it.png]]
|
Point
====Parametro====
* {{Parameter|X}}
* {{Parameter|Y}}
* {{Parameter|Z}}
====Posizione====
*
*
*
|}
===Proprietà===
{|
| [[File:PartVertexProperty_it.png|left]]
|
==== Vista ====


See also: [[Property_editor|Property editor]].
==== Dati ====
{{KEY|Base}}
* {{PropertyData|Label}}:
* {{PropertyData|Placement}}: [[Placement/it|posizionamento]]
* {{PropertyData|X}} :
* {{PropertyData|Y}} :
* {{PropertyData|Z}} :
|}
{{clear}}


A Part Point object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:


=== Data ===
{{Part_Tools_navi{{#translation:}}}}


{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Base}}

* {{PropertyData|X|Distance}}: The X coordinate of the point. The default is {{Value|0mm}}.
* {{PropertyData|Y|Distance}}: The Y coordinate of the point. The default is {{Value|0mm}}.
* {{PropertyData|Z|Distance}}: The Z coordinate of the point. The default is {{Value|0mm}}.

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Point can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
point = FreeCAD.ActiveDocument.addObject("Part::Vertex", "myPoint")
}}

* Where {{Incode|"myPoint"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

point = doc.addObject("Part::Vertex", "myPoint")
point.X = 1
point.Y = 2
point.Z = 3

doc.recompute()
}}


{{Docnav
|[[Part_Ellipse|Ellipse]]
|[[Part_Line|Line]]
|[[Part_Workbench|Part]]
|IconL=Part_Ellipse.svg
|IconR=Part_Line.svg
|IconC=Workbench_Part.svg
}}

{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Revision as of 10:27, 3 March 2022

Punto

Posizione nel menu
Parte → Crea primitive → Punto
Ambiente
Parte
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Crea primitive

Description

Descrizione

Una primitiva geometrica Punto (vertice).

Utilizzo

See Part Primitives.

Properties

See also: Property editor.

A Part Point object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Base

  • DatiX (Distance): The X coordinate of the point. The default is 0mm.
  • DatiY (Distance): The Y coordinate of the point. The default is 0mm.
  • DatiZ (Distance): The Z coordinate of the point. The default is 0mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Point can be created with the addObject() method of the document:

point = FreeCAD.ActiveDocument.addObject("Part::Vertex", "myPoint")
  • Where "myPoint" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

point = doc.addObject("Part::Vertex", "myPoint")
point.X = 1
point.Y = 2
point.Z = 3

doc.recompute()